%global pypi_name oslo.service

Name:           python-oslo-service
Version:        0.1.0
Release:        1%{?dist}
Summary:        Oslo service library

License:        ASL 2.0
URL:            http://launchpad.net/oslo
Source0:        https://pypi.python.org/packages/source/o/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
 
BuildRequires:  python2-devel
BuildRequires:  python-pbr
BuildRequires:  python-sphinx
BuildRequires:  python-oslo-sphinx


Requires:       python-Babel
Requires:       python-eventlet >= 0.17.3
Requires:       python-monotonic >= 0.1
Requires:       python-oslo.config >= 1.11.0
Requires:       python-oslo.i18n
Requires:       python-oslo.utils >= 1.6.0
Requires:       python-six >= 1.9.0

%description
Library for running OpenStack services


%prep
%setup -q -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

# generate html docs 
sphinx-build doc/source html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}


%build
%{__python2} setup.py build


%install
%{__python2} setup.py install --skip-build --root %{buildroot}


%files
%doc html README.rst
%license LICENSE
%{python2_sitelib}/oslo_service
%{python2_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info

%changelog
* Thu Jun 18 2015 Haïkel Guémar <hguemar@fedoraproject.org> - 0.1.0-1
- Initial package.
